# Value Union Reference

`#include <lua/lobject.h>`

Collaboration diagram for Value:

[legend]

## Data Fields

GCObject * | gc
void * | p
lua_Number | n
int | b

## Detailed Description

Definition at line 59 of file lobject.h.

## Field Documentation

int Value::b

Definition at line 63 of file lobject.h.

GCObject* Value::gc

Definition at line 60 of file lobject.h.

lua_Number Value::n

Definition at line 62 of file lobject.h.

void* Value::p

Definition at line 61 of file lobject.h.

The documentation for this union was generated from the following file:

- lua/lobject.h